'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var errors = require('./errors/errors.cjs');

class NullEddsa {
  generateKeypair() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createKeypairFromSecretKey() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createKeypairFromSeed() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  isOnCurve() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  findPda() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  sign() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  verify() {
    throw new errors.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
}

exports.NullEddsa = NullEddsa;
//# sourceMappingURL=EddsaInterface.cjs.map
