'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var errors = require('./errors/errors.cjs');

class NullSerializer {
  constructor() {
    _rollupPluginBabelHelpers.defineProperty(this, "error", new errors.InterfaceImplementationMissingError('SerializerInterface', 'serializer'));
  }
  tuple() {
    throw this.error;
  }
  vec() {
    throw this.error;
  }
  array() {
    throw this.error;
  }
  map() {
    throw this.error;
  }
  set() {
    throw this.error;
  }
  option() {
    throw this.error;
  }
  fixedOption() {
    throw this.error;
  }
  nullable() {
    throw this.error;
  }
  fixedNullable() {
    throw this.error;
  }
  struct() {
    throw this.error;
  }
  enum() {
    throw this.error;
  }
  dataEnum() {
    throw this.error;
  }
  fixed() {
    throw this.error;
  }
  string() {
    throw this.error;
  }
  fixedString() {
    throw this.error;
  }
  bool() {
    throw this.error;
  }
  get unit() {
    throw this.error;
  }
  get u8() {
    throw this.error;
  }
  get u16() {
    throw this.error;
  }
  get u32() {
    throw this.error;
  }
  get u64() {
    throw this.error;
  }
  get u128() {
    throw this.error;
  }
  get i8() {
    throw this.error;
  }
  get i16() {
    throw this.error;
  }
  get i32() {
    throw this.error;
  }
  get i64() {
    throw this.error;
  }
  get i128() {
    throw this.error;
  }
  get f32() {
    throw this.error;
  }
  get f64() {
    throw this.error;
  }
  get bytes() {
    throw this.error;
  }
  get publicKey() {
    throw this.error;
  }
}

exports.NullSerializer = NullSerializer;
//# sourceMappingURL=SerializerInterface.cjs.map
