'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var MetaplexError = require('./MetaplexError.cjs');

/** @group Errors */
class SdkError extends MetaplexError.MetaplexError {
  constructor(message, cause) {
    super(message, 'sdk', undefined, cause);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'SdkError');
  }
}

exports.SdkError = SdkError;
//# sourceMappingURL=SdkError.cjs.map
