import { InterfaceImplementationMissingError } from './errors/errors.mjs';

class NullEddsa {
  generateKeypair() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createKeypairFromSecretKey() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createKeypairFromSeed() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  isOnCurve() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  findPda() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  sign() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  verify() {
    throw new InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
}

export { NullEddsa };
//# sourceMappingURL=EddsaInterface.mjs.map
