import { InterfaceImplementationMissingError } from './errors/errors.mjs';

class NullRpc {
  getEndpoint() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getCluster() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getAccount() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getAccounts() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getProgramAccounts() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getBalance() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getRent() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getLatestBlockhash() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getTransaction() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  accountExists() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  airdrop() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  call() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  sendTransaction() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  confirmTransaction() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
}

export { NullRpc };
//# sourceMappingURL=RpcInterface.mjs.map
