import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';
import { InterfaceImplementationMissingError } from './errors/errors.mjs';

class NullTransactionFactory {
  constructor() {
    _defineProperty(this, "error", new InterfaceImplementationMissingError('TransactionFactoryInterface', 'transactions'));
  }
  create() {
    throw this.error;
  }
  serialize() {
    throw this.error;
  }
  deserialize() {
    throw this.error;
  }
  serializeMessage() {
    throw this.error;
  }
  deserializeMessage() {
    throw this.error;
  }
}

export { NullTransactionFactory };
//# sourceMappingURL=TransactionFactoryInterface.mjs.map
